Bug 248162 - net-mgmt/snmptt: Update to 1.4.2
Summary: net-mgmt/snmptt: Update to 1.4.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: Danilo G. Baio
URL: http://snmptt.sourceforge.net/changel...
Keywords: security
Depends on:
Blocks:
 
Reported: 2020-07-22 03:13 UTC by nistor
Modified: 2020-08-15 14:49 UTC (History)
4 users (show)

See Also:
nistor: maintainer-feedback+
dbaio: merge-quarterly+


Attachments
Shar of snmptt 1.4.1 (5.06 KB, text/plain)
2020-07-22 03:13 UTC, nistor
nistor: maintainer-approval+
Details
Patch for 1.4 -> 1.4.2 against ports. (880 bytes, patch)
2020-07-27 17:25 UTC, nistor
nistor: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nistor 2020-07-22 03:13:00 UTC
Created attachment 216647 [details]
Shar of snmptt 1.4.1

Security fix for snmptt (1.4.1)
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-22 03:22:10 UTC
^Triage: 

- Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval. Attachment -> Details -> maintainer-approval [+]

- ^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field

Pending VuXML entry
Comment 2 Jochen Neumeister freebsd_committer 2020-07-24 09:10:55 UTC
This is a Update, so please update a diff, not a share.
Is there a CVE Security Update, so please Upload a vuxml entry too. Merci :)
Comment 3 nistor 2020-07-27 17:25:12 UTC
Moving to 1.4.2 release as it also contains a small fix + security fix in 1.4.1.
Comment 4 nistor 2020-07-27 17:25:54 UTC
Created attachment 216808 [details]
Patch for 1.4 -> 1.4.2 against ports.
Comment 5 nistor 2020-08-04 20:02:09 UTC
(In reply to Jochen Neumeister from comment #2)

There is no CVE entry created for this by the author - should I add one anyways into vuln?
Comment 6 nistor 2020-08-11 02:22:01 UTC
As there's no CVE available - how do we proceed?
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2020-08-11 08:09:38 UTC
VuXML entry without a <cvename> entry is fine. It can be added later if one is created.
Comment 8 commit-hook freebsd_committer 2020-08-15 14:10:58 UTC
A commit references this bug:

Author: dbaio
Date: Sat Aug 15 14:10:34 UTC 2020
New revision: 544945
URL: https://svnweb.freebsd.org/changeset/ports/544945

Log:
  security/vuxml: Document net-mgmt/snmptt issue

  PR:		248162
  Reported by:	nistor@snickers.org

Changes:
  head/security/vuxml/vuln.xml
Comment 9 commit-hook freebsd_committer 2020-08-15 14:46:02 UTC
A commit references this bug:

Author: dbaio
Date: Sat Aug 15 14:45:15 UTC 2020
New revision: 544946
URL: https://svnweb.freebsd.org/changeset/ports/544946

Log:
  net-mgmt/snmptt: Update to 1.4.2, Fix security issue

  Changelog:	http://snmptt.sourceforge.net/changelog.shtml

  PR:		248162
  Submitted by:	nistor@snickers.org (maintainer)
  MFH:		2020Q3 (blanket: bug and security fix release)
  Security:	b8ea5b66-deff-11ea-adef-641c67a117d8

Changes:
  head/net-mgmt/snmptt/Makefile
  head/net-mgmt/snmptt/distinfo
Comment 10 commit-hook freebsd_committer 2020-08-15 14:49:05 UTC
A commit references this bug:

Author: dbaio
Date: Sat Aug 15 14:48:26 UTC 2020
New revision: 544947
URL: https://svnweb.freebsd.org/changeset/ports/544947

Log:
  MFH: r544946

  net-mgmt/snmptt: Update to 1.4.2, Fix security issue

  Changelog:	http://snmptt.sourceforge.net/changelog.shtml

  PR:		248162
  Submitted by:	nistor@snickers.org (maintainer)
  Security:	b8ea5b66-deff-11ea-adef-641c67a117d8

  Approved by:	ports-secteam (blanket: bug and security fix release)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/net-mgmt/snmptt/Makefile
  branches/2020Q3/net-mgmt/snmptt/distinfo
Comment 11 Danilo G. Baio freebsd_committer 2020-08-15 14:49:40 UTC
Committed, thanks!